Summary:	GNOME webcam program
Summary(pl.UTF-8):	Program do kamer internetowych dla GNOME
Name:		camorama
Version:	0.19
Release:	2
License:	GPL v2
Group:		X11/Applications
Source0:	http://ftp.gnome.org/pub/GNOME/sources/camorama/0.19/%{name}-%{version}.tar.bz2
# Source0-md5:	75025ba37d1dd1c398d92ba2dbef43ee
Patch0:		%{name}-schemas.patch
Patch1:		%{name}-desktop.patch
Patch2:		fixes.patch
Patch3:		libv4l.patch
Patch4:		no-more-videodev_h.patch
Patch5:		new-glib.patch
URL:		http://camorama.fixedgear.org/
BuildRequires:	GConf2-devel
BuildRequires:	autoconf >= 2.53
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	gtk+2-devel >= 2:2.10.0
BuildRequires:	intltool >= 0.36.2
BuildRequires:	libglade2-devel
BuildRequires:	libgnomeui-devel
Requires(post,preun):	GConf2
# sr@Latn vs. sr@latin
Conflicts:	glibc-misc < 6:2.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Camorama is a program for controlling webcams. It is pretty simple at
the moment, and I hope to make it much more complete. I also plan to
make it more generic, as I initially wrote it with only my own
Creative Webcam 3 in mind. Hopefully it will work with other cameras.

%description -l pl.UTF-8
Camorama to program do kontrolowania kamer internetowych. Na razie
jest prosty, ale autor ma nadzieję uczynić go bardziej kompletnym;
planuje także uczynić go bardziej ogólnym, bo na razie program był
pisany tylko z myślą o Creative Webcam 3. W przyszłości ma działać z
innymi kamerami.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

%{__sed} -i -e s#sr\@Latn#sr\@latin# configure.in
mv -f po/sr\@{Latn,latin}.po

%build
%{__intltoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--disable-schemas-install

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%gconf_schema_install camorama.schemas

%preun
%gconf_schema_uninstall camorama.schemas

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README THANKS TODO
%attr(755,root,root) %{_bindir}/camorama
%{_datadir}/camorama
%{_desktopdir}/camorama.desktop
%{_pixmapsdir}/*.png
%{_sysconfdir}/gconf/schemas/camorama.schemas
%changelog
* Sat Jul 20 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/camorama.git;a=log;h=master

* Thu Dec 29 2011 Elan Ruusamäe <glen@pld-linux.org> cf6cf9d
- patches from fedora

* Thu Dec 29 2011 Elan Ruusamäe <glen@pld-linux.org> cefdacb
- update desktop (from fedora)

* Mon Jul 21 2008 Szymon Siwek <sls@pld-linux.org> 1decb0c
- BR: gettext-devel
- adapterized

* Fri Nov 16 2007 Marcin Banasiak <marcin.banasiak@gmail.com> 135a465
- up to 0.19
- use better way to fix locale name

* Sat Nov 03 2007 ankry <ankry@pld-linux.org> 60dd160
- sr@Latn -> sr@latin, rel. 3

* Thu May 17 2007 shadzik <shadzik@pld-linux.org> 8893992
- fix build by setting GNOMELOCALEDIR manually (ugly, but there is no better way to do this)
- rel 2 (rebuild)

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 88503da
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 574aa62
- converted to UTF-8

* Thu Sep 28 2006 Robert Tomasik <rotom@pld-linux.org> 8e76e66
- obsolotes

* Thu Sep 28 2006 Robert Tomasik <rotom@pld-linux.org> 4a96551
- up to 0.18

* Thu Sep 28 2006 Robert Tomasik <rotom@pld-linux.org> b8e7765
- updated to 0.18

* Mon Apr 17 2006 ankry <ankry@pld-linux.org> 2b79c73
- real fix

* Mon Apr 17 2006 ankry <ankry@pld-linux.org> fb30364
- desktop fixes, rel. 2. STBR

* Mon Apr 17 2006 ankry <ankry@pld-linux.org> cf68062
- desktop fixes

* Sat Nov 27 2004 saq <saq@pld-linux.org> 1e1e618
- massive attack: add missing gtk+2-devel epoch in BR

* Tue Sep 07 2004 aflinta <aflinta@pld-linux.org> 7759706
- up to version 0.17

* Tue Sep 07 2004 aflinta <aflinta@pld-linux.org> b21bafb
- fixed locale and schemas install issue

* Tue Aug 17 2004 ankry <ankry@pld-linux.org> 338946b
- added pango epoch to R:/BR:

* Mon Aug 18 2003 Tomasz Pala <gotar@pld-linux.org> 8f26244
- mass commit: cosmetics (removed trailing white spaces)

* Wed Aug 06 2003 kloczek <kloczek@pld-linux.org> 947d22c
- może wrescie ktoś wykasuje to konto ?

